import { ILocation, WebElement } from "selenium-webdriver";
import { Atom } from "../../atom";
export declare class CdkDraggableItemAtom extends Atom {
    static CSS_CLASS: string;
    mouseDown(): Promise<void>;
    mouseUp(): Promise<void>;
    dragSelf(offset?: ILocation): Promise<void>;
    dragTo(location: WebElement | ILocation, offset?: ILocation): Promise<void>;
    move(location: WebElement | ILocation, offset?: ILocation): Promise<void>;
}
